Subject: [Models] equality matching rule properties.

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Wed, 16 Feb 2005 13:36:36 -0800

I suggest adding the following statement to section 2.5.1 of
[Models] (at end of paragraph starting with "Otherwise, ...").

   The specified equality rule is to be transitive and commutative.

-- Kurt

At 12:27 PM 2/15/2005, Kurt D. Zeilenga wrote:
>It is hoped that this revision adequately addresses comments
>received during IESG review.  In particular, the following change
>was made to clarify the relationship to ITU recommendations and
>the applicability of LDAP-specific adaptations:
>
> This document includes material, with and without adaptation, from
>-[X.501].  The material in this document takes precedence over that
>-in [X.501].
>+[X.501] as necessary to describe this protocol.  These adaptations
>+(and any other differences herein) apply to this protocol, and only
>+this protocol.
>
>I see a few minor issues need to be resolved prior to further
>IESG consideration.
>  1) incorporation of 'supportedFeatures' [RFC3674],
>  2) addition of statement regarding properties (commutative, etc.)
>     which equality matching rules should have,
>  3) addition of statement that each value must be equal
>     (or equivalent) to itself to be included in a set of
>     attribute values, and
>  4) clarifications of matchingRuleUse 'APPLIES'.
>
>I intend to offer specific text in 1-3 later today, and will
>work with Jim on 4.
>
>Kurt
>
>
>At 07:33 AM 2/15/2005, [email-masked] wrote:
>>A New Internet-Draft is available from the on-line Internet-Drafts directories.
>>This draft is a work item of the LDAP (v3) Revision Working Group of the IETF.
>>
>>        Title           : LDAP: Directory Information Models
>>        Author(s)       : K. Zeilenga
>>        Filename        : draft-ietf-ldapbis-models-13.txt
>>        Pages           : 51
>>        Date            : 2005-2-14
>>        
>>The Lightweight Directory Access Protocol (LDAP) is an Internet
>>  protocol for accessing distributed directory services which act in
>>  accordance with X.500 data and service models.  This document
>>  describes the X.500 Directory Information Models, as used in LDAP.
>>
>>A URL for this Internet-Draft is:
>>http://www.ietf.org/internet-drafts/draft-ietf-ldapbis-models-13.txt
>>
>>To remove yourself from the I-D Announcement list, send a message to 
>>[email-masked] with the word unsubscribe in the body of the message.  
>>You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
>>to change your subscription settings.
>>
>>
>>Internet-Drafts are also available by anonymous FTP. Login with the username
>>"anonymous" and a password of your e-mail address. After logging in,
>>type "cd internet-drafts" and then
>>        "get draft-ietf-ldapbis-models-13.txt".
>>
>>A list of Internet-Drafts directories can be found in
>>http://www.ietf.org/shadow.html 
>>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>>
>>Internet-Drafts can also be obtained by e-mail.
>>
>>Send a message to:
>>        [email-masked].
>>In the body type:
>>        "FILE /internet-drafts/draft-ietf-ldapbis-models-13.txt".
>>        
>>NOTE:   The mail server at ietf.org can return the document in
>>        MIME-encoded form by using the "mpack" utility.  To use this
>>        feature, insert the command "ENCODING mime" before the "FILE"
>>        command.  To decode the response(s), you will need "munpack" or
>>        a MIME-compliant mail reader.  Different MIME-compliant mail readers
>>        exhibit different behavior, especially when dealing with
>>        "multipart" MIME messages (i.e. documents which have been split
>>        up into multiple messages), so check your local documentation on
>>        how to manipulate these messages.
>>                
>>                
>>Below is the data which will enable a MIME compliant mail reader
>>implementation to automatically retrieve the ASCII version of the
>>Internet-Draft.
>>Content-Type: text/plain
>>Content-ID:     <[email-masked]>
>>
>>ENCODING mime
>>FILE /internet-drafts/draft-ietf-ldapbis-models-13.txt
>>
>><ftp://ftp.ietf.org/internet-drafts/draft-ietf-ldapbis-models-13.txt>